//
// Responsible for loading rookie and start up files, will only save once as
// lookup is used
// *****************************************************************************
// Automaticlly loads system files into flash to create the system. The files
// will only be loaded once because of the lookup function. In the line
// flsave("sss") the "sss" is specified so that thsi program "main.bas" will
// not be saved along with the rest of the loaded file.
// This is just the loader program, the main program is main1.bas
function main()
    print "\r\nChecking loaded files"
    if lookup("ROOKIE3_1") = 0 then
        print "\r\n** Loading Rookie3 1 **"
        fload("rpart1.bas")
        flsave("ROOKIE3_1")
        reset
    endif
    if lookup("ROOKIE3_2") = 0 then
        print "\r\n** Loading Rookie3 2 **"
        fload("rpart2.bas")
        flsave("ROOKIE3_2")
        reset
    endif
    if lookup("FILEIO") = 0 then
        print "\r\n** Loading file io **"
        fload("file_io.bas")
        flsave("FILEIO")
        reset
    endif    
endf
